package cn.com.qmth.examcloud.core.basic.api.request;

import cn.com.qmth.examcloud.api.commons.enums.DataRuleType;
import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.Arrays;
import java.util.List;

/**
 * @since: 2020/12/18
 */
public class AddUserDataRuleReq extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "权限类型")
    private DataRuleType type;

    @ApiModelProperty(value = "关联ID")
    private List<Long> refIds;

    public AddUserDataRuleReq() {

    }

    public AddUserDataRuleReq(Long userId, DataRuleType type, Long... refIds) {
        this.userId = userId;
        this.type = type;
        this.refIds = Arrays.asList(refIds);
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public DataRuleType getType() {
        return type;
    }

    public void setType(DataRuleType type) {
        this.type = type;
    }

    public List<Long> getRefIds() {
        return refIds;
    }

    public void setRefIds(List<Long> refIds) {
        this.refIds = refIds;
    }

}
