package cn.com.qmth.examcloud.exchange.outer.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @author chenken
 * @date 2018年11月27日 下午5:41:09
 * @company QMTH
 */
public class OuterScoreDataBean implements JsonSerializable {

    private static final long serialVersionUID = 7476060044159007486L;

    @ApiModelProperty(value = "考试记录ID", example = "123")
    private Long examRecordDataId;

    @ApiModelProperty(value = "学生姓名", example = "张三")
    private String studentName;

    @ApiModelProperty(value = "证件号", example = "123456789123456789X")
    private String identityNumber;

    @ApiModelProperty(value = "学号", example = "S123456789")
    private String studentCode;

    @ApiModelProperty(value = "考试课程代码", example = "c101")
    private String courseCode;

    @ApiModelProperty(value = "考试课程名称", example = "C语言")
    private String courseName;

    @ApiModelProperty(value = "得分", example = "100.0")
    private Double totalScore;

    @ApiModelProperty(value = "开考时间", example = "2024-06-01 08:00:00")
    private Date startTime;

    @ApiModelProperty(value = "交卷时间", example = "2024-06-01 10:00:00")
    private Date endTime;

    @ApiModelProperty(value = "是否异常数据", example = "false")
    private Boolean isWarn;

    @ApiModelProperty(value = "是否被审核", example = "false")
    private Boolean isAudit;

    @ApiModelProperty(value = "是否违纪", example = "false")
    private Boolean isIllegality;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Boolean getIsWarn() {
        return isWarn;
    }

    public void setIsWarn(Boolean isWarn) {
        this.isWarn = isWarn;
    }

    public Boolean getIsAudit() {
        return isAudit;
    }

    public void setIsAudit(Boolean isAudit) {
        this.isAudit = isAudit;
    }

    public Boolean getIsIllegality() {
        return isIllegality;
    }

    public void setIsIllegality(Boolean isIllegality) {
        this.isIllegality = isIllegality;
    }

}
