package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import cn.com.qmth.examcloud.exchange.outer.api.bean.OuterExamStudent4ResetReqBean;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class OuterResetExamStudentReq extends EnterpriseRequest {

    private static final long serialVersionUID = 3633974018347041831L;

    @ApiModelProperty(value = "顶级机构ID", example = "123", required = true)
    private Long rootOrgId;

    @ApiModelProperty(value = "考试ID", example = "123")
    private Long examId;

    @ApiModelProperty(value = "考试编码", example = "2024年6月期末考试", required = true)
    private String examCode;

    @ApiModelProperty(value = "考试名称（实际作为考试编码使用）", example = "2024年6月期末考试")
    private String examName;

    @ApiModelProperty(value = "学生姓名", example = "张三")
    private String studentName;

    @ApiModelProperty(value = "证件号", example = "123456789123456789X", required = true)
    private String identityNumber;

    @ApiModelProperty(value = "学号", example = "S123456789")
    private String studentCode;

    @ApiModelProperty(value = "考生集合", required = true)
    private List<OuterExamStudent4ResetReqBean> examStudentList;

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public List<OuterExamStudent4ResetReqBean> getExamStudentList() {
        return examStudentList;
    }

    public void setExamStudentList(List<OuterExamStudent4ResetReqBean> examStudentList) {
        this.examStudentList = examStudentList;
    }

}
