package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月29日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class OuterSaveStudentReq extends EnterpriseRequest {

    private static final long serialVersionUID = -8500412921400589808L;

    @ApiModelProperty(value = "顶级机构ID", example = "123", required = true)
    private Long rootOrgId;

    @ApiModelProperty(value = "学习中心ID", example = "123")
    private Long orgId;

    @ApiModelProperty(value = "学习中心编码", example = "org123", required = true)
    private String orgCode;

    @ApiModelProperty(value = "学习中心名称", example = "中心123", required = true)
    private String orgName;

    @ApiModelProperty(value = "学生姓名", example = "张三", required = true)
    private String name;

    @ApiModelProperty(value = "证件号", example = "123456789123456789X", required = true)
    private String identityNumber;

    @ApiModelProperty(value = "学号", example = "S123456789")
    private String studentCode;

    @ApiModelProperty(value = "手机号码", example = "18600000001 ")
    private String phoneNumber;

    @ApiModelProperty(value = "是否可用", example = "true")
    private Boolean enable;

    @ApiModelProperty(value = "备注", example = "xxx")
    private String remark;

    @ApiModelProperty(value = "底照图片URL", example = "http://xxx.xxx/xxx.jpg", hidden = true)
    private String photoUrl;

    @ApiModelProperty(value = "操作者", example = "xxx")
    private String operator;

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

}
